# backup current snapshots to .gitConfigBackups with date mark
cp .gitignore .gitConfigBackups/.gitignore_moving2Private_$(date +"%Y%m%d%H%M%S")
cp .gitignore_public .gitConfigBackups/.gitignore_public_$(date +"%Y%m%d%H%M%S")
cp .gitignore_private .gitConfigBackups/.gitignore_private_$(date +"%Y%m%d%H%M%S")
cp -r .git_public .gitConfigBackups/.git_public_$(date +"%Y%m%d%H%M%S")
cp -r .git_private .gitConfigBackups/.git_private_$(date +"%Y%m%d%H%M%S")

# save current changes from .gitignore to .gitignore_public file
cp .gitignore .gitignore_public

# copy .gitignore_private to .gitignore file
cp .gitignore_private .gitignore

# remove current .git folder
rm -rf .git

# copy .git_public to .git folder
cp -r .git_public .git

# save current flag
touch .iAmPrivateRepo
rm .iAmPublicRepo